<h1 align="center">
  <img width="300" src="/img/logoname-black.svg#gh-light-mode-only" alt="infisical">
  <img width="300" src="/img/logoname-white.svg#gh-dark-mode-only" alt="infisical">
</h1>
<p align="center">
  <p align="center">Piattaforma open-source e crittografata end-to-end per gestire segreti e configurazioni all'interno di team, dispositivi e dell'intera infrastruttura.</p>
</p>

<h4 align="center">
  <a href="https://join.slack.com/t/infisical-users/shared_invite/zt-1kdbk07ro-RtoyEt_9E~fyzGo_xQYP6g">Slack</a> |
  <a href="https://infisical.com/">Infisical Cloud</a> |
  <a href="https://infisical.com/docs/self-hosting/overview">Self-Hosting</a> |
  <a href="https://infisical.com/docs/getting-started/introduction">Documentazione</a> |
  <a href="https://www.infisical.com">Sito web</a>
</h4>

<h4 align="center">
  <a href="https://github.com/medusajs/medusa/blob/master/LICENSE">
    <img src="https://img.shields.io/badge/license-MIT-blue.svg" alt="Infisical is released under the MIT license." />
  </a>
  <a href="https://github.com/infisical/infisical/blob/main/CONTRIBUTING.md">
    <img src="https://img.shields.io/badge/PRs-Welcome-brightgreen" alt="PRs welcome!" />
  </a>
  <a href="https://github.com/Infisical/infisical/issues">
    <img src="https://img.shields.io/github/commit-activity/m/infisical/infisical" alt="git commit activity" />
  </a>
  <a href="https://cloudsmith.io/~infisical/repos/">
    <img src="https://img.shields.io/badge/Downloads-34.6k-orange" alt="Cloudsmith downloads" />
  </a>
  <a href="https://join.slack.com/t/infisical-users/shared_invite/zt-1kdbk07ro-RtoyEt_9E~fyzGo_xQYP6g">
    <img src="https://img.shields.io/badge/chat-on%20Slack-blueviolet" alt="Slack community channel" />
  </a>
  <a href="https://twitter.com/infisical">
    <img src="https://img.shields.io/twitter/follow/infisical?label=Follow" alt="Infisical Twitter" />
  </a>
</h4>

<img src="/img/infisical_github_repo.png" width="100%" alt="Dashboard" />

**Leggi questo documento in altre lingue**: <kbd>[<img title="English" alt="English language" src="https://cdn.staticaly.com/gh/hjnilsson/country-flags/master/svg/us.svg" width="22">](i18n/README.en.md)</kbd>
<kbd>[<img title="Spanish" alt="Spanish language" src="https://cdn.staticaly.com/gh/hjnilsson/country-flags/master/svg/es.svg" width="22">](i18n/README.es.md)</kbd>
<kbd>[<img title="German" alt="German language" src="https://cdn.staticaly.com/gh/hjnilsson/country-flags/master/svg/de.svg" width="22">](i18n/README.de.md)</kbd>
<kbd>[<img title="Korean" alt="Korean language" src="https://cdn.staticaly.com/gh/hjnilsson/country-flags/master/svg/kr.svg" width="22">](i18n/README.ko.md)</kbd>
<kbd>[<img title="Turkish" alt="Turkish language" src="https://cdn.staticaly.com/gh/hjnilsson/country-flags/master/svg/tr.svg" width="22">](i18n/README.tr.md)</kbd>
<kbd>[<img title="Bahasa Indonesia" alt="Bahasa Indonesia language" src="https://cdn.staticaly.com/gh/hjnilsson/country-flags/master/svg/id.svg" width="22">](i18n/README.id.md)</kbd>
<kbd>[<img title="Japanese" alt="Japanese language" src="https://cdn.staticaly.com/gh/hjnilsson/country-flags/master/svg/jp.svg" width="22">](i18n/README.ja.md)</kbd>

**[Infisical](https://infisical.com)** è uno strumento open-source e crittografato end-to-end che puoi utilizzare per sincronizzare le tue chiavi e configurazioni API. Con Infisical, puoi distribuire e gestire questi segreti all'interno del flusso di lavoro del tuo software, dallo sviluppo alla produzione. È progettato per essere semplice e richiede pochi minuti per essere configurato.

-   **[Interfaccia intuitiva](https://infisical.com/docs/getting-started/dashboard/project)** per gestire i segreti e le configurazioni del tuo team all'interno dei progetti
-   **[CLI multipiattaforma](https://infisical.com/docs/cli/overview)** che estrae e inserisce segreti e configurazioni nel tuo flusso di lavoro
-   **[Controllo completo dei tuoi dati](https://infisical.com/docs/self-hosting/overview)** - ospitalo tu stesso su qualsiasi infrastruttura
-   **Naviga in più ambienti** per progetto (ad es. sviluppo, staging, produzione, ecc.)
-   **Controllo manuale** per segreti e configurazioni
-   **[Integrazioni](https://infisical.com/docs/integrations/overview)** con CI/CD e infrastruttura di produzione
-   **[Infisical API](https://infisical.com/docs/api-reference/overview/introduction)** - per gestire i segreti tramite richieste HTTPS
-   **[Controllo delle versioni](https://infisical.com/docs/getting-started/dashboard/versioning)** per visualizzare la cronologia delle modifiche di qualsiasi chiave ed elemento privato
-   **[Log delle attività](https://infisical.com/docs/getting-started/dashboard/audit-logs)** per documentare ogni azione effettuata in un progetto
-   **[Ripristino delle chiavi e dei segreti](https://infisical.com/docs/getting-started/dashboard/pit-recovery)** per eseguire il rollback a qualsiasi istantanea precedente
-   **Controlli degli accessi basati sui ruoli** nell'ambiente di sviluppo
-   **2FA** (altre opzioni in arrivo)
-   🔜 **1-Click Deploy** su AWS
-   🔜 **Rotazione automatica dei segreti**
-   🔜 **Avvisi di sicurezza intelligenti**
-   🔜 **Rotazione dei segreti**
-   🔜 **Slack & MS Teams** integrazioni

E altro ancora.

## 🚀 Pronto a iniziare?

Per iniziare rapidamente, visita la nostra [guida introduttiva](https://infisical.com/docs/getting-started/introduction).

<p>
  <a href="https://infisical.com/docs/self-hosting/overview" target="_blank"><img src="https://user-images.githubusercontent.com/78047717/218910609-18a75846-51a9-420a-a9a9-5958ac9c5505.png" height=150 /> </a>
  <a href="https://app.infisical.com/signup" target="_blank"><img src="https://user-images.githubusercontent.com/78047717/218910520-b36a607f-af66-4a06-af10-6a2191ab02de.png" height=150></a>
</p>

## 🔥 Cosa c'è di bello in tutto questo?

Infisical rende, per impostazione predefinita, la gestione dei segreti semplice e crittografata end-to-end. La nostra missione è far sì che Infisical sia accessibile a tutti gli sviluppatori, <i>non solo ai team di sicurezza</i>.

Secondo un [rapporto](https://www.ekransystem.com/en/blog/secrets-management), solo il 10% delle organizzazioni utilizza soluzioni per la gestione dei segreti digitali, nonostante questi siano utilizzati in ogni sviluppo software.

Se tieni all'efficienza e alla sicurezza, allora Infisical fa al caso tuo.

Attualmente stiamo lavorando sodo per rendere Infisical il più compatibile possibile. Hai bisogno di integrazioni specifiche o desideri una nuova funzionalità? Sentiti libero e [scrivici](https://github.com/Infisical/infisical/issues) oppure puoi [contribuire](https://infisical.com/docs/contributing/overview) al progetto direttamente.

## 🔌 Integrazioni

Attualmente stiamo ponendo le basi e costruendo le [integrazioni](https://infisical.com/docs/integrations/overview) in modo tale che le chiavi e i segreti possano essere sincronizzati ovunque. Qualsiasi aiuto è benvenuto! :)

<table>
<tr>
  <th>Piattaforme </th>
  <th>Frameworks</th>
</tr>
<tr>
  <td>

<table>
  <tbody>
    <tr>
      <td align="left" valign="middle">
        <a href="https://infisical.com/docs/integrations/platforms/docker?ref=github.com">
          ✔️ Docker
        </a>
      </td>
      <td align="left" valign="middle">
        <a href="https://infisical.com/docs/integrations/platforms/docker-compose?ref=github.com">
          ✔️ Docker Compose
        </a>
      </td>
      <td align="left" valign="middle">
        <a href="https://infisical.com/docs/integrations/cloud/heroku?ref=github.com">
          ✔️ Heroku
        </a>
      </td>
    </tr>
    <tr>
      <td align="left" valign="middle">
        <a href="https://infisical.com/docs/integrations/cloud/vercel?ref=github.com">
          ✔️ Vercel
        </a>
      </td>
      <td align="left" valign="middle">
        <a href="https://infisical.com/docs/integrations/platforms/kubernetes?ref=github.com">
          ✔️ Kubernetes
        </a>
      </td>
      <td align="left" valign="middle">
        <a href="https://infisical.com/docs/integrations/cloud/flyio">
          ✔️ Fly.io
        </a>
      </td>
    </tr>
    <tr>
      <td align="left" valign="middle">
         🔜 Supabase
      </td>
      <td align="left" valign="middle">
        <a href="https://infisical.com/docs/integrations/cicd/githubactions">
          ✔️ GitHub Actions
        </a>
      </td>
      <td align="left" valign="middle">
         🔜 Railway (https://github.com/Infisical/infisical/issues/271)
      </td>
    </tr>
    <tr>
      <td align="left" valign="middle">
        🔜 GCP SM (https://github.com/Infisical/infisical/issues/285)
      </td>
      <td align="left" valign="middle">
        <a href="https://infisical.com/docs/integrations/cicd/gitlab">
          ✔️ GitLab CI/CD
        </a>
      </td>
      <td align="left" valign="middle">
        🔜 CircleCI (https://github.com/Infisical/infisical/issues/91)
      </td>
    </tr>
    <tr>
      <td align="left" valign="middle">
        🔜 Jenkins
      </td>
      <td align="left" valign="middle">
        🔜 Digital Ocean
      </td>
      <td align="left" valign="middle">
        🔜 Azure
      </td>
    </tr>
    <tr>
      <td align="left" valign="middle">
         🔜 TravisCI
      </td>
      <td align="left" valign="middle">
        <a href="https://infisical.com/docs/integrations/cloud/aws-secret-manager">
          ✔️ AWS Secrets Manager
        </a>
      </td>
      <td align="left" valign="middle">
         🔜 Forge
      </td>
    </tr>
    <tr>
      <td align="left" valign="middle">
         🔜 Bitbucket
      </td>
      <td align="left" valign="middle">
          <a href="https://infisical.com/docs/integrations/cloud/aws-parameter-store">
            ✔️ AWS Parameter Store
          </a>
      </td>
      <td align="left" valign="middle">
        <a href="https://infisical.com/docs/integrations/cloud/render">
          ✔️ Render
        </a>
      </td>
    </tr>
    <tr>
      <td align="left" valign="middle">
         🔜 BuddyCI
      </td>
      <td align="left" valign="middle">
         🔜 Serverless
      </td>
      <td align="left" valign="middle">
        <a href="https://infisical.com/docs/integrations/cloud/netlify">
          ✔️ Netlify
        </a>
      </td>
    </tr>
  </tbody>
</table>

  </td>
<td>

<table>
  <tbody>
    <tr>
      <td align="left" valign="middle">
        <a href="https://infisical.com/docs/integrations/frameworks/react?ref=github.com">
          ✔️ React
        </a>
      </td>
      <td align="left" valign="middle">
        <a href="https://infisical.com/docs/integrations/frameworks/express?ref=github.com">
          ✔️ Express
        </a>
      </td>
    </tr>
    <tr>
      <td align="left" valign="middle">
        <a href="https://infisical.com/docs/integrations/frameworks/gatsby?ref=github.com">
          ✔️ Gatsby
        </a>
      </td>
      <td align="left" valign="middle">
        <a href="https://infisical.com/docs/integrations/frameworks/flask?ref=github.com">
          ✔️ Flask
        </a>
      </td>
    </tr>
    <tr>
      <td align="left" valign="middle">
        <a href="https://infisical.com/docs/integrations/frameworks/django?ref=github.com">
          ✔️ Django
        </a>
      </td>
      <td align="left" valign="middle">
        <a href="https://infisical.com/docs/integrations/frameworks/laravel?ref=github.com">
          ✔️ Laravel
        </a>
      </td>
    </tr>
    <tr>
      <td align="left" valign="middle">
        <a href="https://infisical.com/docs/integrations/frameworks/nestjs?ref=github.com">
          ✔️ NestJS
        </a>
      </td>
      <td align="left" valign="middle">
        <a href="https://infisical.com/docs/integrations/frameworks/remix?ref=github.com">
          ✔️ Remix
        </a>
      </td>
    </tr>
    <tr>
      <td align="left" valign="middle">
        <a href="https://infisical.com/docs/integrations/frameworks/nextjs?ref=github.com">
          ✔️ Next.js
        </a>
      </td>
      <td align="left" valign="middle">
        <a href="https://infisical.com/docs/integrations/frameworks/vite?ref=github.com">
          ✔️ Vite
        </a>
      </td>
    </tr>
    <tr>
      <td align="left" valign="middle">
        <a href="https://infisical.com/docs/integrations/frameworks/vue?ref=github.com">
          ✔️ Vue
        </a>
      </td>
      <td align="left" valign="middle">
        <a href="https://infisical.com/docs/integrations/frameworks/rails?ref=github.com">
          ✔️ Ruby on Rails
        </a>
      </td>
    </tr>
    <tr>
      <td align="left" valign="middle">
        <a href="https://infisical.com/docs/integrations/frameworks/fiber?ref=github.com">
          ✔️ Fiber
        </a>
      </td>
      <td align="left" valign="middle">
        <a href="https://infisical.com/docs/integrations/frameworks/nuxt?ref=github.com">
          ✔️ Nuxt
        </a>
      </td>
    </tr>
    <tr>
      <td align="left" valign="middle">
        <a href="https://infisical.com/docs/integrations/frameworks/dotnet?ref=github.com">
          ✔️ .NET
        </a>
      </td>
      <td align="left" valign="middle">
        E ancora...
      </td>
    </tr>
  </tbody>
</table>

</td>
</tr>
</table>

## 💚 Comunità e supporto

-   [Slack](https://join.slack.com/t/infisical-users/shared_invite/zt-1kdbk07ro-RtoyEt_9E~fyzGo_xQYP6g) (Per discussioni dal vivo con la community e il team di Infisical)
-   [GitHub Discussions](https://github.com/Infisical/infisical/discussions) (Per assistenza e per conversazioni più approfondite sulle funzionalità)
-   [GitHub Issues](https://github.com/Infisical/infisical-cli/issues) (Per eventuali bug ed errori riscontrati utilizzando Infisical)
-   [Twitter](https://twitter.com/infisical) (Per essere informato sulle ultime notizie)

## 🏘 Open source vs. versione a pagamento

Questo repository è interamente concesso in licenza MIT, ad eccezione della directory `ee` che conterrà funzionalità aziendali premium che richiedono una licenza Infisical in futuro. Attualmente siamo concentrati sullo sviluppo di offerte non aziendali che dovrebbero soddisfare la maggior parte dei casi d'uso.

## 🛡 Security

Stai cercando di segnalare una vulnerabilità di sicurezza? Per favore non pubblicarlo come un GitHub issue ma utilizza il file [SECURITY.md](./SECURITY.md).

## 🚨 Rimani aggiornato

Infisical è stato lanciato ufficialmente come versione 1.0 il 21 novembre 2022. Prossimamente ci saranno molte nuove funzionalità. Guarda le **releases** di questo repository per ricevere notifiche sui futuri aggiornamenti:

![infisical-star-github](https://github.com/Infisical/infisical/blob/main/.github/images/star-infisical.gif?raw=true)

## 🌱 Contribuire

Grande o piccolo, qualsiasi contributo al progetto è apprezzato ❤️ Consulta la nostra guida per vedere come [iniziare](https://infisical.com/docs/contributing/overview).

Non sai da dove iniziare? Puoi:

-   [Prenota una sessione con uno dei membri del nostro team. È gratuita e indolore](mailto:tony@infisical.com?subject=Pairing%20session&body=I'd%20like%20to%20do%20a%20pairing%20session!)!
-   Unisciti al nostro <a href="https://join.slack.com/t/infisical-users/shared_invite/zt-1kdbk07ro-RtoyEt_9E~fyzGo_xQYP6g">Slack</a> per porci qualsiasi domanda.

## 🦸 Un grazie a

[//]: contributor-faces

<!-- ALL-CONTRIBUTORS-LIST:START - Do not remove or modify this section -->
<!-- prettier-ignore-start -->
<!-- markdownlint-disable -->

<a href="https://github.com/dangtony98"><img src="https://avatars.githubusercontent.com/u/25857006?v=4" width="50" height="50" alt=""/></a> <a href="https://github.com/maidul98"><img src="https://avatars.githubusercontent.com/u/9300960?v=4" width="50" height="50" alt=""/></a> <a href="https://github.com/akhilmhdh"><img src="https://avatars.githubusercontent.com/u/31166322?v=4" width="50" height="50" alt=""/></a> <a href="https://github.com/reginaldbondoc"><img src="https://avatars.githubusercontent.com/u/7693108?v=4" width="50" height="50" alt=""/></a> <a href="https://github.com/mv-turtle"><img src="https://avatars.githubusercontent.com/u/78047717?s=96&v=4" width="50" height="50" alt=""/></a> <a href="https://github.com/gangjun06"><img src="https://avatars.githubusercontent.com/u/50910815?v=4" width="50" height="50" alt=""/></a> <a href="https://github.com/asheliahut"><img src="https://avatars.githubusercontent.com/u/945619?v=4" width="50" height="50" alt=""/></a> <a href="https://github.com/SH5H"><img src="https://avatars.githubusercontent.com/u/25437192?v=4" width="50" height="50" alt=""/></a> <a href="https://github.com/gmgale"><img src="https://avatars.githubusercontent.com/u/62303146?v=4" width="50" height="50" alt=""/></a> <a href="https://github.com/asharonbaltazar"><img src="https://avatars.githubusercontent.com/u/58940073?v=4" width="50" height="50" alt=""/></a> <a href="https://github.com/JoaoVictor6"><img src="https://avatars.githubusercontent.com/u/68869379?v=4" width="50" height="50" alt=""/></a> <a href="https://github.com/mocherfaoui"><img src="https://avatars.githubusercontent.com/u/37941426?v=4" width="50" height="50" alt=""/></a> <a href="https://github.com/cerrussell"><img src="https://avatars.githubusercontent.com/u/80227828?v=4" width="50" height="50" alt=""/></a> <a href="https://github.com/jon4hz"><img src="https://avatars.githubusercontent.com/u/26183582?v=4" width="50" height="50" alt=""/></a> <a href="https://github.com/edgarrmondragon"><img src="https://avatars.githubusercontent.com/u/16805946?v=4" width="50" height="50" alt=""/></a> <a href="https://github.com/arjunyel"><img src="https://avatars.githubusercontent.com/u/11153289?v=4" width="50" height="50" alt=""/></a> <a href="https://github.com/LemmyMwaura"><img src="https://avatars.githubusercontent.com/u/20738858?v=4" width="50" height="50" alt=""/></a> <a href="https://github.com/Zamion101"><img src="https://avatars.githubusercontent.com/u/8071263?v=4" width="50" height="50" alt=""/></a> <a href="https://github.com/Grraahaam"><img src="https://avatars.githubusercontent.com/u/72856427?v=4" width="50" height="50" alt=""/></a> <a href="https://github.com/Neeraj138"><img src="https://avatars.githubusercontent.com/u/58552561?v=4" width="50" height="50" alt=""/></a> <a href="https://github.com/esau-morais"><img src="https://avatars.githubusercontent.com/u/55207584?v=4" width="50" height="50" alt=""/></a> <a href="https://github.com/animeshdas2000"><img src="https://avatars.githubusercontent.com/u/40542456?v=4" width="50" height="50" alt=""/></a> <a href="https://github.com/umrak11"><img src="https://avatars.githubusercontent.com/u/20104948?v=4" width="50" height="50" alt=""/></a> <a href="https://github.com/KunalSin9h"><img src="https://avatars.githubusercontent.com/u/82411321?v=4" width="50" height="50" alt=""/></a> <a href="https://github.com/ImBIOS"><img src="https://avatars.githubusercontent.com/u/41441643?v=4" width="50" height="50" alt=""/></a> <a href="https://github.com/sanyamjain04"><img src="https://avatars.githubusercontent.com/u/107163858?v=4" width="50" height="50" alt=""/></a> <a href="https://github.com/Gabriellopes232"><img src="https://avatars.githubusercontent.com/u/74881862?v=4" width="50" height="50" alt=""/></a> <a href="https://github.com/naorpeled"><img src="https://avatars.githubusercontent.com/u/6171622?v=4" width="50" height="50" alt=""/></a> <a href="https://github.com/Aashish-Upadhyay-101"><img src="https://avatars.githubusercontent.com/u/81024263?v=4" width="50" height="50" alt=""/></a> <a href="https://github.com/jonerrr"><img src="https://avatars.githubusercontent.com/u/73760377?v=4" width="50" height="50" alt=""/></a> <a href="https://github.com/kmlgkcy"><img src="https://avatars.githubusercontent.com/u/102428035?v=4" width="50" height="50" alt=""/></a> <a href="https://github.com/samsbg"><img src="https://avatars.githubusercontent.com/u/70488844?v=4" width="50" height="50" alt=""/></a> <a href="https://github.com/imakecodes"><img src="https://avatars.githubusercontent.com/u/35536648?v=4" width="50" height="50" alt=""/></a> <a href="https://github.com/kimcore"><img src="https://avatars.githubusercontent.com/u/36142378?v=4" width="50" height="50" alt=""/></a> <a href="https://github.com/caioluis"><img src="https://avatars.githubusercontent.com/u/30005368?v=4" width="50" height="50" alt=""/></a> <a href="https://github.com/adrianmarinwork"><img src="https://avatars.githubusercontent.com/u/118568289?v=4" width="50" height="50" alt=""/></a> <a href="https://github.com/arthurzenika"><img src="https://avatars.githubusercontent.com/u/445200?v=4" width="50" height="50" alt=""/></a> <a href="https://github.com/franky47"><img src="https://avatars.githubusercontent.com/u/1174092?v=4" width="50" height="50" alt=""/></a> <a href="https://github.com/hanywang2"><img src="https://avatars.githubusercontent.com/u/44352119?v=4" width="50" height="50" alt=""/></a> <a href="https://github.com/tobias-mintlify"><img src="https://avatars.githubusercontent.com/u/110702161?v=4" width="50" height="50" alt=""/></a> <a href="https://github.com/wjhurley"><img src="https://avatars.githubusercontent.com/u/15939055?v=4" width="50" height="50" alt=""/></a> <a href="https://github.com/alexdanilowicz"><img src="https://avatars.githubusercontent.com/u/29822597?v=4" width="50" height="50" alt=""/></a> <a href="https://github.com/0xflotus"><img src="https://avatars.githubusercontent.com/u/26602940?v=4" width="50" height="50" alt=""/></a> <a href="https://github.com/wanjohiryan"><img src="https://avatars.githubusercontent.com/u/71614375?v=4" width="50" height="50" alt=""/></a> <a href="https://github.com/nirga"><img src="https://avatars.githubusercontent.com/u/4224692?v=4" width="50" height="50" alt=""/></a> <a href="https://github.com/RashidUjang"><img src="https://avatars.githubusercontent.com/u/11313829?v=4" width="50" height="50" alt=""/></a> <a href="https://github.com/kanhaiya38"><img src="https://avatars.githubusercontent.com/u/54778773?v=4" width="50" height="50" alt=""/></a>

## 🌎 Traduzioni

Infisical è attualmente disponibile in: Italiano, Spagnolo, Inglese, Turco, Coreano, Indonesiano, Francese, Giapponese e Portoghese (Brasile). Se vuoi puoi aiutaci a tradurre Infisical nella tua lingua!

Puoi trovare tutte le informazioni [qui](https://github.com/Infisical/infisical/issues/181).
