<h1 align="center">
  <img width="300" src="/img/logoname-black.svg#gh-light-mode-only" alt="infisical">
  <img width="300" src="/img/logoname-white.svg#gh-dark-mode-only" alt="infisical">
</h1>
<p align="center">
  <p align="center">팀 멤버와 인프라 전반에서 시크릿과 설정을 관리할 수 있는 간단한 오픈소스 E2EE 툴.</p>
</p>

<h4 align="center">
  <a href="https://join.slack.com/t/infisical-users/shared_invite/zt-1kdbk07ro-RtoyEt_9E~fyzGo_xQYP6g">Slack</a> |
  <a href="https://infisical.com/">Infisical Cloud</a> |
  <a href="https://infisical.com/docs/self-hosting/overview">직접 호스팅</a> |
  <a href="https://infisical.com/docs/getting-started/introduction">문서</a> |
  <a href="https://www.infisical.com">웹사이트</a>
</h4>

<h4 align="center">
  <a href="https://github.com/Infisical/infisical/blob/master/LICENSE">
    <img src="https://img.shields.io/badge/license-MIT-blue.svg" alt="Infisical is released under the MIT license." />
  </a>
  <a href="https://github.com/Infisical/infisical/blob/main/CONTRIBUTING.md">
    <img src="https://img.shields.io/badge/PRs-Welcome-brightgreen" alt="PRs welcome!" />
  </a>
  <a href="https://github.com/Infisical/infisical/issues">
    <img src="https://img.shields.io/github/commit-activity/m/infisical/infisical" alt="git commit activity" />
  </a>
  <a href="https://cloudsmith.io/~infisical/repos/">
    <img src="https://img.shields.io/badge/Downloads-14.6k-orange" alt="Cloudsmith downloads" />
  </a>
  <a href="https://join.slack.com/t/infisical-users/shared_invite/zt-1kdbk07ro-RtoyEt_9E~fyzGo_xQYP6g">
    <img src="https://img.shields.io/badge/chat-on%20Slack-blueviolet" alt="Slack community channel" />
  </a>
  <a href="https://twitter.com/infisical">
    <img src="https://img.shields.io/twitter/follow/infisical?label=Follow" alt="Infisical Twitter" />
  </a>
</h4>

<img src="/img/infisical_github_repo.png" width="100%" alt="Dashboard" />

**[Infisical](https://infisical.com)** 은 팀이 개발 워크플로우와 인프라 전반에서 시크릿과 구성을 관리하고 동기화할 수 있도록 도와주는 오픈소스 E2EE 툴입니다. 몇 분 안에 빠르게 시작할 수 있도록 설계되었어요.

- 여러 프로젝트에서 팀의 시크릿과 구성을 관리할 수 있게 해주는 사용자 친화적 **[대시보드](https://infisical.com/docs/getting-started/dashboard/project)**
- 어떤 언어든지 상관없이 시크릿과 구성을 로컬 워크플로우에 가져와주는 **[CLI](https://infisical.com/docs/cli/overview)**
- **[직접 호스팅](https://infisical.com/docs/self-hosting/overview)** - 어떤 인프라든지 직접 호스팅할 수 있어요
- 한 프로젝트에 **여러 환경**을 사용하세요 (예: development, staging, production, etc)
- 시크릿과 구성에 대한 **개인 오버라이드**
- CI/CD, 프로덕션 인프라와의 높은 **[연동성](https://infisical.com/docs/integrations/overview)**
- **[Infisical API](https://infisical.com/docs/api-reference/overview/introduction)** - HTTPS 요청을 통해 시크릿을 관리하세요
- **[시크릿 버전 기록](https://infisical.com/docs/getting-started/dashboard/versioning)** 을 통해 어떤 시크릿이든 버전 기록을 볼 수 있어요
- **[활동 로그](https://infisical.com/docs/getting-started/dashboard/audit-logs)** 를 통해 프로젝트의 모든 활동을 볼 수 있어요
- **[지정 시점으로 시크릿 복구](https://infisical.com/docs/getting-started/dashboard/pit-recovery)** 를 사용해 특정한 시점으로 시크릿을 복구할 수 있어요
- **2단계 인증**
- **프로젝트 별 인증** (read/write 컨트롤도 곧 찾아옵니다)
- 🔜  Digital Ocean 및 Heroku로 **원클릭 배포**
- 🔜 **자동 시크릿 로테이션**
- 🔜 **Slack & MS Teams** 연동

그 외에 더 많은 기능들이 있어요.

## 🚀 시작하기

[빠른 시작 가이드](https://infisical.com/docs/getting-started/introduction)에 방문하세요.

<p>
  <a href="https://infisical.com/docs/self-hosting/overview" target="_blank"><img src="https://user-images.githubusercontent.com/78047717/206356882-2b773eed-b0da-4725-ae2f-83e3cd7f2713.png" height=120 /> </a>
  <a href="https://www.youtube.com/watch?v=JS3OKYU2078" target="_blank"><img src="https://user-images.githubusercontent.com/78047717/206356600-8833b128-6cae-408c-a703-07b2fc6aff4b.png" height=120 /> </a>
  <a href="https://app.infisical.com/signup" target="_blank"><img src="https://user-images.githubusercontent.com/78047717/206355970-f4c09062-b88f-452a-94e0-9c61a0651170.png" height=120></a>
</p>

## 🔥 이게 뭔데요? 좋은건가요?

Infisical은 시크릿 관리를 간단하게, 그리고 E2EE를 사용하여 안전하게 해줍니다. 보안 팀뿐만 아니라, **모든 개발자들이 사용할 수 있도록** 하는게 저희의 목표에요.


[보고서](https://www.ekransystem.com/en/blog/secrets-management)에 따르면, 오직 10%의 조직이 디지털 시크릿 관리 솔루션을 사용한다고 해요.

효율성과 보안을 따진다면, Infisical을 사용해보세요.

저희는 Infisical을 더 좋게 만들기 위해 노력하고 있어요. 새로운 연동이나 기능이 필요한가요? [이슈](https://github.com/Infisical/infisical/issues)를 만들거나 [직접 기여](https://infisical.com/docs/contributing/overview)할 수 있어요.

## 🌱 기여하기

작든 크든, 우리는 모든 기여를 환영합니다 ❤️ [기여하는 방법](https://infisical.com/docs/contributing/overview)에 대해 자세히 알아보세요.

어디서부터 시작할지 모르겠나요? 그렇다면:

- [Infisical 팀원 한명과 페어링 세션을 해보세요](mailto:tony@infisical.com?subject=Pairing%20session&body=I'd%20like%20to%20do%20a%20pairing%20session!)!
- <a href="https://join.slack.com/t/infisical-users/shared_invite/zt-1kdbk07ro-RtoyEt_9E~fyzGo_xQYP6g">Slack</a>에 참가해서, 아무 질문이나 물어보세요.

## 💚 커뮤니티와 지원

- [Slack](https://join.slack.com/t/infisical-users/shared_invite/zt-1kdbk07ro-RtoyEt_9E~fyzGo_xQYP6g) (커뮤니티 그리고 Infisical 팀원과 소통하는 곳)
- [GitHub Discussions](https://github.com/Infisical/infisical/discussions) (기능에 대한 깊은 토론을 나누기 위한 곳)
- [GitHub Issues](https://github.com/Infisical/infisical-cli/issues) (Infisical을 사용하던 중 발생한 오류에 대해 제보하는 곳)
- [Twitter](https://twitter.com/infisical) (Infisical에 대한 소식을 빠르게 받아보세요)

## 🐥 상태

- [x] 공개 알파: [infisical.com](https://infisical.com)에서 아무나 가입할 수 있지만, 여러가지 결함이 있을 수 있어요.
- [ ] 공개 베타: 일반적인 사용에는 문제 없음
- [ ] 공개: 프로덕션에 사용할 준비 완료

Infisical은 현재 공개 알파 상태에요.

## 🔌 연동

저희는 시크릿을 사용할 수 있는 여러가지 [연동](https://infisical.com/docs/integrations/overview)을 개발하고 있어요. 모든 도움은 환영해요! :)

<table>
<tr>
  <th>플랫폼 </th>
  <th>프레임워크</th>
</tr>
<tr> 
  <td>

<table>
  <tbody>
    <tr>
      <td align="left" valign="middle">
        <a href="https://infisical.com/docs/integrations/platforms/docker?ref=github.com">
          ✔️ Docker
        </a>
      </td>
      <td align="left" valign="middle">
        <a href="https://infisical.com/docs/integrations/platforms/docker-compose?ref=github.com">
          ✔️ Docker Compose
        </a>
      </td>
      <td align="left" valign="middle">
        <a href="https://infisical.com/docs/integrations/cloud/heroku?ref=github.com">
          ✔️ Heroku
        </a>
      </td>
    </tr>
    <tr>
      <td align="left" valign="middle">
        <a href="https://infisical.com/docs/integrations/cloud/vercel?ref=github.com">
          ✔️ Vercel
        </a>
      </td>
      <td align="left" valign="middle">
        <a href="https://infisical.com/docs/integrations/platforms/kubernetes?ref=github.com">
          ✔️ Kubernetes
        </a>
      </td>
      <td align="left" valign="middle">
        <a href="https://infisical.com/docs/integrations/cloud/flyio">
          ✔️ Fly.io
        </a>
      </td>
    </tr>
    <tr>
      <td align="left" valign="middle">
        🔜 AWS PS (https://github.com/Infisical/infisical/issues/286)
      </td>
      <td align="left" valign="middle">
        <a href="https://infisical.com/docs/integrations/cicd/githubactions">
          ✔️ GitHub Actions
        </a>
      </td>
      <td align="left" valign="middle">
         🔜 Railway (https://github.com/Infisical/infisical/issues/271)
      </td>
    </tr>
    <tr>
      <td align="left" valign="middle">
        🔜 GCP SM (https://github.com/Infisical/infisical/issues/285)
      </td>
      <td align="left" valign="middle">
        🔜 GitLab CI/CD (https://github.com/Infisical/infisical/issues/134)
      </td>
      <td align="left" valign="middle">
        🔜 CircleCI (https://github.com/Infisical/infisical/issues/91)
      </td>
    </tr>
    <tr>
      <td align="left" valign="middle">
        🔜 Jenkins
      </td>
      <td align="left" valign="middle">
        🔜 Digital Ocean
      </td>
      <td align="left" valign="middle">
        🔜 Azure
      </td>
    </tr>
    <tr>
      <td align="left" valign="middle">
         🔜 TravisCI
      </td>
      <td align="left" valign="middle">
        <a href="https://infisical.com/docs/integrations/cloud/netlify">
          ✔️ Netlify
        </a>
      </td>
      <td align="left" valign="middle">
         🔜 Forge
      </td>
    </tr>
    <tr>
      <td align="left" valign="middle">
         🔜 Bitbucket
      </td>
      <td align="left" valign="middle">
         🔜 Supabase
      </td>
      <td align="left" valign="middle">
        <a href="https://infisical.com/docs/integrations/cloud/render">
          ✔️ Render
        </a>
      </td>
    </tr>
    <tr>
      <td align="left" valign="middle">
         🔜 BuddyCI
      </td>
      <td align="left" valign="middle">
         🔜 Serverless
      </td>
      <td align="left" valign="middle">
         🔜 AWS Lambda
      </td>
    </tr>
  </tbody>
</table>

  </td>
<td>

<table>
  <tbody>
    <tr>
      <td align="left" valign="middle">
        <a href="https://infisical.com/docs/integrations/frameworks/react?ref=github.com">
          ✔️ React
        </a>
      </td>
      <td align="left" valign="middle">
        <a href="https://infisical.com/docs/integrations/frameworks/express?ref=github.com">
          ✔️ Express
        </a>
      </td>
    </tr>
    <tr>
      <td align="left" valign="middle">
        <a href="https://infisical.com/docs/integrations/frameworks/gatsby?ref=github.com">
          ✔️ Gatsby
        </a>
      </td>
      <td align="left" valign="middle">
        <a href="https://infisical.com/docs/integrations/frameworks/flask?ref=github.com">
          ✔️ Flask
        </a>
      </td>
    </tr>
    <tr>
      <td align="left" valign="middle">
        <a href="https://infisical.com/docs/integrations/frameworks/django?ref=github.com">
          ✔️ Django
        </a>
      </td>
      <td align="left" valign="middle">
        <a href="https://infisical.com/docs/integrations/frameworks/laravel?ref=github.com">
          ✔️ Laravel
        </a>
      </td>
    </tr>
    <tr>
      <td align="left" valign="middle">
        <a href="https://infisical.com/docs/integrations/frameworks/nestjs?ref=github.com">
          ✔️ NestJS
        </a>
      </td>
      <td align="left" valign="middle">
        <a href="https://infisical.com/docs/integrations/frameworks/remix?ref=github.com">
          ✔️ Remix
        </a>
      </td>
    </tr>
    <tr>
      <td align="left" valign="middle">
        <a href="https://infisical.com/docs/integrations/frameworks/nextjs?ref=github.com">
          ✔️ Next.js
        </a>
      </td>
      <td align="left" valign="middle">
        <a href="https://infisical.com/docs/integrations/frameworks/vite?ref=github.com">
          ✔️ Vite
        </a>
      </td>
    </tr>
    <tr>
      <td align="left" valign="middle">
        <a href="https://infisical.com/docs/integrations/frameworks/vue?ref=github.com">
          ✔️ Vue
        </a>
      </td>
      <td align="left" valign="middle">
        <a href="https://infisical.com/docs/integrations/frameworks/rails?ref=github.com">
          ✔️ Ruby on Rails
        </a>
      </td>
    </tr>
    <tr>
      <td align="left" valign="middle">
        <a href="https://infisical.com/docs/integrations/frameworks/fiber?ref=github.com">
          ✔️ Fiber
        </a>
      </td>
      <td align="left" valign="middle">
        <a href="https://infisical.com/docs/integrations/frameworks/nuxt?ref=github.com">
          ✔️ Nuxt
        </a>
      </td>
    </tr>
    <tr>
      <td align="left" valign="middle">
        <a href="https://infisical.com/docs/integrations/frameworks/dotnet?ref=github.com">
          ✔️ .NET
        </a>
      </td>
      <td align="left" valign="middle">
        And more...
      </td>
    </tr>
  </tbody>
</table>

</td>
</tr> 
</table>

## 🏘 오픈소스 vs 유료 버전

이 저장소는 추후 유료 프리미엄 엔터프라이즈 기능들을 포함할 `ee` 폴더를 제외하고 모두 MIT 라이선스에요.

## 🛡 보안

보안 취약점을 발견했나요? GitHub 이슈에 올리지 마시고, [SECURITY.md](./SECURITY.md) 파일을 참고해주세요.

## 🚨 최신 소식 받기

Infisical은 2022년 11월 21일에 v1.0 버전을 출시했어요. 새로운 기능들이 자주 추가되니, 이 저장소의 **Releases**를 눈여겨봐주세요!

![infisical-star-github](https://github.com/Infisical/infisical/blob/main/.github/images/star-infisical.gif?raw=true)

## 🦸 기여자

[//]: contributor-faces

<!-- ALL-CONTRIBUTORS-LIST:START - Do not remove or modify this section -->
<!-- prettier-ignore-start -->
<!-- markdownlint-disable -->

<a href="https://github.com/dangtony98"><img src="https://avatars.githubusercontent.com/u/25857006?v=4" width="50" height="50" alt=""/></a> <a href="https://github.com/maidul98"><img src="https://avatars.githubusercontent.com/u/9300960?v=4" width="50" height="50" alt=""/></a> <a href="https://github.com/akhilmhdh"><img src="https://avatars.githubusercontent.com/u/31166322?v=4" width="50" height="50" alt=""/></a> <a href="https://github.com/reginaldbondoc"><img src="https://avatars.githubusercontent.com/u/7693108?v=4" width="50" height="50" alt=""/></a> <a href="https://github.com/mv-turtle"><img src="https://avatars.githubusercontent.com/u/78047717?s=96&v=4" width="50" height="50" alt=""/></a> <a href="https://github.com/gangjun06"><img src="https://avatars.githubusercontent.com/u/50910815?v=4" width="50" height="50" alt=""/></a> <a href="https://github.com/asheliahut"><img src="https://avatars.githubusercontent.com/u/945619?v=4" width="50" height="50" alt=""/></a> <a href="https://github.com/SH5H"><img src="https://avatars.githubusercontent.com/u/25437192?v=4" width="50" height="50" alt=""/></a> <a href="https://github.com/gmgale"><img src="https://avatars.githubusercontent.com/u/62303146?v=4" width="50" height="50" alt=""/></a> <a href="https://github.com/asharonbaltazar"><img src="https://avatars.githubusercontent.com/u/58940073?v=4" width="50" height="50" alt=""/></a> <a href="https://github.com/JoaoVictor6"><img src="https://avatars.githubusercontent.com/u/68869379?v=4" width="50" height="50" alt=""/></a> <a href="https://github.com/mocherfaoui"><img src="https://avatars.githubusercontent.com/u/37941426?v=4" width="50" height="50" alt=""/></a> <a href="https://github.com/cerrussell"><img src="https://avatars.githubusercontent.com/u/80227828?v=4" width="50" height="50" alt=""/></a> <a href="https://github.com/jon4hz"><img src="https://avatars.githubusercontent.com/u/26183582?v=4" width="50" height="50" alt=""/></a> <a href="https://github.com/edgarrmondragon"><img src="https://avatars.githubusercontent.com/u/16805946?v=4" width="50" height="50" alt=""/></a> <a href="https://github.com/arjunyel"><img src="https://avatars.githubusercontent.com/u/11153289?v=4" width="50" height="50" alt=""/></a> <a href="https://github.com/LemmyMwaura"><img src="https://avatars.githubusercontent.com/u/20738858?v=4" width="50" height="50" alt=""/></a> <a href="https://github.com/Zamion101"><img src="https://avatars.githubusercontent.com/u/8071263?v=4" width="50" height="50" alt=""/></a> <a href="https://github.com/Grraahaam"><img src="https://avatars.githubusercontent.com/u/72856427?v=4" width="50" height="50" alt=""/></a> <a href="https://github.com/Neeraj138"><img src="https://avatars.githubusercontent.com/u/58552561?v=4" width="50" height="50" alt=""/></a> <a href="https://github.com/KunalSin9h"><img src="https://avatars.githubusercontent.com/u/82411321?v=4" width="50" height="50" alt=""/></a> <a href="https://github.com/sanyamjain04"><img src="https://avatars.githubusercontent.com/u/107163858?v=4" width="50" height="50" alt=""/></a> <a href="https://github.com/Gabriellopes232"><img src="https://avatars.githubusercontent.com/u/74881862?v=4" width="50" height="50" alt=""/></a> <a href="https://github.com/naorpeled"><img src="https://avatars.githubusercontent.com/u/6171622?v=4" width="50" height="50" alt=""/></a> <a href="https://github.com/jonerrr"><img src="https://avatars.githubusercontent.com/u/73760377?v=4" width="50" height="50" alt=""/></a> <a href="https://github.com/kmlgkcy"><img src="https://avatars.githubusercontent.com/u/102428035?v=4" width="50" height="50" alt=""/></a>  <a href="https://github.com/samsbg"><img src="https://avatars.githubusercontent.com/u/70488844?v=4" width="50" height="50" alt=""/></a> <a href="https://github.com/imakecodes"><img src="https://avatars.githubusercontent.com/u/35536648?v=4" width="50" height="50" alt=""/></a> <a href="https://github.com/kimcore"><img src="https://avatars.githubusercontent.com/u/36142378?v=4" width="50" height="50" alt=""/></a> <a href="https://github.com/caioluis"><img src="https://avatars.githubusercontent.com/u/30005368?v=4" width="50" height="50" alt=""/></a> <a href="https://github.com/adrianmarinwork"><img src="https://avatars.githubusercontent.com/u/118568289?v=4" width="50" height="50" alt=""/></a> <a href="https://github.com/arthurzenika"><img src="https://avatars.githubusercontent.com/u/445200?v=4" width="50" height="50" alt=""/></a> <a href="https://github.com/franky47"><img src="https://avatars.githubusercontent.com/u/1174092?v=4" width="50" height="50" alt=""/></a> <a href="https://github.com/hanywang2"><img src="https://avatars.githubusercontent.com/u/44352119?v=4" width="50" height="50" alt=""/></a> <a href="https://github.com/tobias-mintlify"><img src="https://avatars.githubusercontent.com/u/110702161?v=4" width="50" height="50" alt=""/></a> <a href="https://github.com/wjhurley"><img src="https://avatars.githubusercontent.com/u/15939055?v=4" width="50" height="50" alt=""/></a> <a href="https://github.com/alexdanilowicz"><img src="https://avatars.githubusercontent.com/u/29822597?v=4" width="50" height="50" alt=""/></a> <a href="https://github.com/0xflotus"><img src="https://avatars.githubusercontent.com/u/26602940?v=4" width="50" height="50" alt=""/></a> <a href="https://github.com/wanjohiryan"><img src="https://avatars.githubusercontent.com/u/71614375?v=4" width="50" height="50" alt=""/></a> <a href="https://github.com/nirga"><img src="https://avatars.githubusercontent.com/u/4224692?v=4" width="50" height="50" alt=""/></a>

## 🌎 번역

Infisical은 현재 영어, 한국어, 프랑스어, 포르투갈어 (브라질)로 번역되어 있어요. 당신의 언어로 Infisical을 번역하도록 도와주세요!

[이 이슈](https://github.com/Infisical/infisical/issues/181)에서 번역에 관한 정보를 찾아볼 수 있어요.
