<h1 align="center">
  <img width="300" src="/img/logoname-black.svg#gh-light-mode-only" alt="infisical">
  <img width="300" src="/img/logoname-white.svg#gh-dark-mode-only" alt="infisical">
</h1>
<p align="center">
  <p align="center">Uma ferramenta de código aberto para encriptação ponta-a-ponta para gerenciar suas chaves e configurações secretas de sua equipe, dispositivos e infraestrutura</p>
</p>

<h4 align="center">
  <a href="https://join.slack.com/t/infisical-users/shared_invite/zt-1kdbk07ro-RtoyEt_9E~fyzGo_xQYP6g">Slack</a> |
  <a href="https://infisical.com/">Infisical Cloud</a> |
  <a href="https://infisical.com/docs/self-hosting/overview">Self-Hosting</a> |
  <a href="https://infisical.com/docs/getting-started/introduction">Docs</a> |
  <a href="https://www.infisical.com">Website</a>
</h4>

<h4 align="center">
  <a href="https://github.com/medusajs/medusa/blob/master/LICENSE">
    <img src="https://img.shields.io/badge/license-MIT-blue.svg" alt="Infisical is released under the MIT license." />
  </a>
  <a href="https://github.com/infisical/infisical/blob/main/CONTRIBUTING.md">
    <img src="https://img.shields.io/badge/PRs-Welcome-brightgreen" alt="PRs welcome!" />
  </a>
  <a href="https://github.com/Infisical/infisical/issues">
    <img src="https://img.shields.io/github/commit-activity/m/infisical/infisical" alt="git commit activity" />
  </a>
  <a href="https://cloudsmith.io/~infisical/repos/">
    <img src="https://img.shields.io/badge/Downloads-34.6k-orange" alt="Cloudsmith downloads" />
  </a>
  <a href="https://join.slack.com/t/infisical-users/shared_invite/zt-1kdbk07ro-RtoyEt_9E~fyzGo_xQYP6g">
    <img src="https://img.shields.io/badge/chat-on%20Slack-blueviolet" alt="Slack community channel" />
  </a>
  <a href="https://twitter.com/infisical">
    <img src="https://img.shields.io/twitter/follow/infisical?label=Follow" alt="Infisical Twitter" />
  </a>
</h4>

<img src="/img/infisical_github_repo.png" width="100%" alt="Dashboard" />

**Leia essa documentação em outra linguagem**: <kbd>[<img title="Inglês" alt="Inglês" src="https://cdn.staticaly.com/gh/hjnilsson/country-flags/master/svg/us.svg" width="22">](i18n/README.en.md)</kbd>
<kbd>[<img title="Espanhol" alt="Espanhol" src="https://cdn.staticaly.com/gh/hjnilsson/country-flags/master/svg/es.svg" width="22">](i18n/README.es.md)</kbd>
<kbd>[<img title="German" alt="German language" src="https://cdn.staticaly.com/gh/hjnilsson/country-flags/master/svg/de.svg" width="22">](i18n/README.de.md)</kbd>
<kbd>[<img title="Coreano" alt="Coreano" src="https://cdn.staticaly.com/gh/hjnilsson/country-flags/master/svg/kr.svg" width="22">](i18n/README.ko.md)</kbd>
<kbd>[<img title="Turco" alt="Turco" src="https://cdn.staticaly.com/gh/hjnilsson/country-flags/master/svg/tr.svg" width="22">](i18n/README.tr.md)</kbd>
<kbd>[<img title="Bahasa Indonesia" alt="Bahasa Indonesia" src="https://cdn.staticaly.com/gh/hjnilsson/country-flags/master/svg/id.svg" width="22">](i18n/README.id.md)</kbd>
<kbd>[<img title="Português - Brasil" alt="Português - Brasil" src="https://cdn.staticaly.com/gh/hjnilsson/country-flags/master/svg/br.svg" width="22">](i18n/README.id.md)</kbd>
<kbd>[<img title="Japanese" alt="Japanese language" src="https://cdn.staticaly.com/gh/hjnilsson/country-flags/master/svg/jp.svg" width="22">](i18n/README.ja.md)</kbd>

**[Infisical](https://infisical.com)** é uma ferramenta de código aberto para gerenciamento de segredos encriptados ponta-a-ponta que você pode usar para centralizar suas chaves e configurações. A partir do Infisical, você pode distribuir esses segredos em todo o seu ciclo de vida de desenvolvimento - desde o desenvolvimento até a produção. Ele foi projetado para ser simples e levar minutos para começar.

-   **[Dashboard amigável](https://infisical.com/docs/getting-started/dashboard/project)** para gerenciar os segredos e configurações de sua equipe dentro de projetos
-   **[CLI Fléxivel](https://infisical.com/docs/cli/overview)** puxa e injeta segredos e configurações em seu fluxo de trabalho local
-   **[Controle completo de seus dados](https://infisical.com/docs/self-hosting/overview)** - hospede-o você mesmo em qualquer infraestrutura
-   **Multiplos ambientes** por projeto (ex. desenvolvimento, testes, produção, etc.)
-   **Substituições pessoais** para os segredos e configurações
-   **[Integrações](https://infisical.com/docs/integrations/overview)** com CI/CD e infraestrutura de produção
-   **[Infisical API](https://infisical.com/docs/api-reference/overview/introduction)** - gerencie segredos via solicitações HTTPS para a plataforma
-   **[Versionamento dos seus segredos](https://infisical.com/docs/getting-started/dashboard/versioning)** para visualizar o histórico de alterações de qualquer segredo
-   **[Logs de atividade](https://infisical.com/docs/getting-started/dashboard/audit-logs)** para registrar todas as ações realizadas em um projeto
-   **[Recuperações dos secretos em ponto específico](https://infisical.com/docs/getting-started/dashboard/pit-recovery)** para voltar para qualquer momento do histórico de versões de seus segredos
-   **Controle de acesso baseada em regras** por ambiente
-   **2FA** (mais opções em breve)
-   🔜 **Deploy em 1 clique** para AWS
-   🔜 **Rotação automática de segredos**
-   🔜 **Alertas de segurança inteligentes**
-   🔜 **Rotação de segredos**
-   🔜 Integração com **Slack e MS Teams**

E muito mais!

## 🚀 Começando

para começar rapidamente visite [nosso guia inicial](https://infisical.com/docs/getting-started/introduction).

<p>
  <a href="https://infisical.com/docs/self-hosting/overview" target="_blank"><img src="https://user-images.githubusercontent.com/78047717/218910609-18a75846-51a9-420a-a9a9-5958ac9c5505.png" height=150 /> </a>
  <a href="https://app.infisical.com/signup" target="_blank"><img src="https://user-images.githubusercontent.com/78047717/218910520-b36a607f-af66-4a06-af10-6a2191ab02de.png" height=150></a>
</p>

## 🔥 O que é legal nisso tudo?

Infisical torna a gestão de segredos muito mais simples e de ponta-a-ponta criptografadas por padrão. Estamos em uma missão para torná-lo o mais acessível a todos os desenvolvedores, <i>não somente a equipes de segurança</i>.

De acordo com esse [relátorio](https://www.ekransystem.com/en/blog/secrets-management), apenas 10% das organizações usam soluções de gerenciamento de segredos, apesar de todas usarem segredos digitais em algum grau.

Se você se importa com eficiência e segurança, então Infisical é para você.

Atualmente estamos trabalhando muito duro para tornar o Infisical mais extensivel. Você precisa de alguma integração ou deseja um novo recurso? Sinta-se livre para [criar uma issue](https://github.com/Infisical/infisical/issues) ou [contribuir](https://infisical.com/docs/contributing/overview) diretamente ao nosso repositório.

## 🔌 Integrações

Atualmente estamos definindo a base e a construção de [integrações](https://infisical.com/docs/integrations/overview) para que os segredos possam ser sincronizados em todos os lugares. Qualquer ajuda é muito bem-vinda! :)

<table>
<tr>
  <th>Plataforma </th>
  <th>Frameworks</th>
</tr>
<tr>
  <td>

<table>
  <tbody>
    <tr>
      <td align="left" valign="middle">
        <a href="https://infisical.com/docs/integrations/platforms/docker?ref=github.com">
          ✔️ Docker
        </a>
      </td>
      <td align="left" valign="middle">
        <a href="https://infisical.com/docs/integrations/platforms/docker-compose?ref=github.com">
          ✔️ Docker Compose
        </a>
      </td>
      <td align="left" valign="middle">
        <a href="https://infisical.com/docs/integrations/cloud/heroku?ref=github.com">
          ✔️ Heroku
        </a>
      </td>
    </tr>
    <tr>
      <td align="left" valign="middle">
        <a href="https://infisical.com/docs/integrations/cloud/vercel?ref=github.com">
          ✔️ Vercel
        </a>
      </td>
      <td align="left" valign="middle">
        <a href="https://infisical.com/docs/integrations/platforms/kubernetes?ref=github.com">
          ✔️ Kubernetes
        </a>
      </td>
      <td align="left" valign="middle">
        <a href="https://infisical.com/docs/integrations/cloud/flyio">
          ✔️ Fly.io
        </a>
      </td>
    </tr>
    <tr>
      <td align="left" valign="middle">
         🔜 Supabase
      </td>
      <td align="left" valign="middle">
        <a href="https://infisical.com/docs/integrations/cicd/githubactions">
          ✔️ GitHub Actions
        </a>
      </td>
      <td align="left" valign="middle">
         🔜 Railway (https://github.com/Infisical/infisical/issues/271)
      </td>
    </tr>
    <tr>
      <td align="left" valign="middle">
        🔜 GCP SM (https://github.com/Infisical/infisical/issues/285)
      </td>
      <td align="left" valign="middle">
        <a href="https://infisical.com/docs/integrations/cicd/gitlab">
          ✔️ GitLab CI/CD
        </a>
      </td>
      <td align="left" valign="middle">
        🔜 CircleCI (https://github.com/Infisical/infisical/issues/91)
      </td>
    </tr>
    <tr>
      <td align="left" valign="middle">
        🔜 Jenkins
      </td>
      <td align="left" valign="middle">
        🔜 Digital Ocean
      </td>
      <td align="left" valign="middle">
        🔜 Azure
      </td>
    </tr>
    <tr>
      <td align="left" valign="middle">
         🔜 TravisCI
      </td>
      <td align="left" valign="middle">
        <a href="https://infisical.com/docs/integrations/cloud/aws-secret-manager">
          ✔️ AWS Secrets Manager
        </a>
      </td>
      <td align="left" valign="middle">
         🔜 Forge
      </td>
    </tr>
    <tr>
      <td align="left" valign="middle">
         🔜 Bitbucket
      </td>
      <td align="left" valign="middle">
          <a href="https://infisical.com/docs/integrations/cloud/aws-parameter-store">
            ✔️ AWS Parameter Store
          </a>
      </td>
      <td align="left" valign="middle">
        <a href="https://infisical.com/docs/integrations/cloud/render">
          ✔️ Render
        </a>
      </td>
    </tr>
    <tr>
      <td align="left" valign="middle">
         🔜 BuddyCI
      </td>
      <td align="left" valign="middle">
         🔜 Serverless
      </td>
      <td align="left" valign="middle">
        <a href="https://infisical.com/docs/integrations/cloud/netlify">
          ✔️ Netlify
        </a>
      </td>
    </tr>
  </tbody>
</table>

  </td>
<td>

<table>
  <tbody>
    <tr>
      <td align="left" valign="middle">
        <a href="https://infisical.com/docs/integrations/frameworks/react?ref=github.com">
          ✔️ React
        </a>
      </td>
      <td align="left" valign="middle">
        <a href="https://infisical.com/docs/integrations/frameworks/express?ref=github.com">
          ✔️ Express
        </a>
      </td>
    </tr>
    <tr>
      <td align="left" valign="middle">
        <a href="https://infisical.com/docs/integrations/frameworks/gatsby?ref=github.com">
          ✔️ Gatsby
        </a>
      </td>
      <td align="left" valign="middle">
        <a href="https://infisical.com/docs/integrations/frameworks/flask?ref=github.com">
          ✔️ Flask
        </a>
      </td>
    </tr>
    <tr>
      <td align="left" valign="middle">
        <a href="https://infisical.com/docs/integrations/frameworks/django?ref=github.com">
          ✔️ Django
        </a>
      </td>
      <td align="left" valign="middle">
        <a href="https://infisical.com/docs/integrations/frameworks/laravel?ref=github.com">
          ✔️ Laravel
        </a>
      </td>
    </tr>
    <tr>
      <td align="left" valign="middle">
        <a href="https://infisical.com/docs/integrations/frameworks/nestjs?ref=github.com">
          ✔️ NestJS
        </a>
      </td>
      <td align="left" valign="middle">
        <a href="https://infisical.com/docs/integrations/frameworks/remix?ref=github.com">
          ✔️ Remix
        </a>
      </td>
    </tr>
    <tr>
      <td align="left" valign="middle">
        <a href="https://infisical.com/docs/integrations/frameworks/nextjs?ref=github.com">
          ✔️ Next.js
        </a>
      </td>
      <td align="left" valign="middle">
        <a href="https://infisical.com/docs/integrations/frameworks/vite?ref=github.com">
          ✔️ Vite
        </a>
      </td>
    </tr>
    <tr>
      <td align="left" valign="middle">
        <a href="https://infisical.com/docs/integrations/frameworks/vue?ref=github.com">
          ✔️ Vue
        </a>
      </td>
      <td align="left" valign="middle">
        <a href="https://infisical.com/docs/integrations/frameworks/rails?ref=github.com">
          ✔️ Ruby on Rails
        </a>
      </td>
    </tr>
    <tr>
      <td align="left" valign="middle">
        <a href="https://infisical.com/docs/integrations/frameworks/fiber?ref=github.com">
          ✔️ Fiber
        </a>
      </td>
      <td align="left" valign="middle">
        <a href="https://infisical.com/docs/integrations/frameworks/nuxt?ref=github.com">
          ✔️ Nuxt
        </a>
      </td>
    </tr>
    <tr>
      <td align="left" valign="middle">
        <a href="https://infisical.com/docs/integrations/frameworks/dotnet?ref=github.com">
          ✔️ .NET
        </a>
      </td>
      <td align="left" valign="middle">
        E muito mais...
      </td>
    </tr>
  </tbody>
</table>

</td>
</tr>
</table>

## 💚 Comunidade & Suporte

-   [Slack](https://join.slack.com/t/infisical-users/shared_invite/zt-1kdbk07ro-RtoyEt_9E~fyzGo_xQYP6g) (Para discusão em tempo real com a comunidade e a equipe do Infisical)
-   [GitHub Discussions](https://github.com/Infisical/infisical/discussions) (Para obter ajuda na construção e conversas mais aprofundadas sobre os recursos)
-   [GitHub Issues](https://github.com/Infisical/infisical-cli/issues) (Para quaisquer bugs e erros que você encontrar usando Infisical)
-   [Twitter](https://twitter.com/infisical) (Para receber novidades rapidamente)

## 🏘 Código aberto vs. pago

Esse repositório é totalmente licenciado sob a licença MIT, com a exceção da pasta `ee`, que conterá recursos premium de empresa exigindo uma licença Infisical no futuro. Atualmente, estamos focados em desenvolver ofertas não empresariais primeiro que devem atender a maioria dos casos de uso.

## 🛡 Segurança

Procurando relatar uma vulnerabilidade de segurança? Por favor, não poste sobre o problema no Github. Em vez disso, consulte nosso arquivo de [SECURITY.md](./SECURITY.md)

## 🚨 Fique atualizado

Infisical foi oficialmente lançado como v.1.0 em 21 de novembro de 2022. Existem muitos novos recursos chegando com muita frequência. Assista o **lançamentos** deste repositório para ser notificado sobre futuras atualizações:

![infisical-star-github](https://github.com/Infisical/infisical/blob/main/.github/images/star-infisical.gif?raw=true)

## 🌱 Contribuindo

Seja grande ou pequeno, adoramos contribuições ❤️ Veja nosso guia para ver como [começar](https://infisical.com/docs/contributing/overview).

Não sabe por onde começar? Você pode:

-   [Agendar gratuitamente uma sessão de alinhamento com um de nossos amigos de equipe](mailto:tony@infisical.com?subject=Pairing%20session&body=I'd%20like%20to%20do%20a%20pairing%20session!)!
-   Juntar-se a nós no <a href="https://join.slack.com/t/infisical-users/shared_invite/zt-1kdbk07ro-RtoyEt_9E~fyzGo_xQYP6g">Slack</a>, e perguntar sobre qualquer coisa.

## 🦸 Contribuidores

[//]: contributor-faces

<!-- ALL-CONTRIBUTORS-LIST:START - Do not remove or modify this section -->
<!-- prettier-ignore-start -->
<!-- markdownlint-disable -->

<a href="https://github.com/dangtony98"><img src="https://avatars.githubusercontent.com/u/25857006?v=4" width="50" height="50" alt=""/></a> <a href="https://github.com/maidul98"><img src="https://avatars.githubusercontent.com/u/9300960?v=4" width="50" height="50" alt=""/></a> <a href="https://github.com/akhilmhdh"><img src="https://avatars.githubusercontent.com/u/31166322?v=4" width="50" height="50" alt=""/></a> <a href="https://github.com/reginaldbondoc"><img src="https://avatars.githubusercontent.com/u/7693108?v=4" width="50" height="50" alt=""/></a> <a href="https://github.com/mv-turtle"><img src="https://avatars.githubusercontent.com/u/78047717?s=96&v=4" width="50" height="50" alt=""/></a> <a href="https://github.com/gangjun06"><img src="https://avatars.githubusercontent.com/u/50910815?v=4" width="50" height="50" alt=""/></a> <a href="https://github.com/asheliahut"><img src="https://avatars.githubusercontent.com/u/945619?v=4" width="50" height="50" alt=""/></a> <a href="https://github.com/SH5H"><img src="https://avatars.githubusercontent.com/u/25437192?v=4" width="50" height="50" alt=""/></a> <a href="https://github.com/gmgale"><img src="https://avatars.githubusercontent.com/u/62303146?v=4" width="50" height="50" alt=""/></a> <a href="https://github.com/asharonbaltazar"><img src="https://avatars.githubusercontent.com/u/58940073?v=4" width="50" height="50" alt=""/></a> <a href="https://github.com/JoaoVictor6"><img src="https://avatars.githubusercontent.com/u/68869379?v=4" width="50" height="50" alt=""/></a> <a href="https://github.com/mocherfaoui"><img src="https://avatars.githubusercontent.com/u/37941426?v=4" width="50" height="50" alt=""/></a> <a href="https://github.com/cerrussell"><img src="https://avatars.githubusercontent.com/u/80227828?v=4" width="50" height="50" alt=""/></a> <a href="https://github.com/jon4hz"><img src="https://avatars.githubusercontent.com/u/26183582?v=4" width="50" height="50" alt=""/></a> <a href="https://github.com/edgarrmondragon"><img src="https://avatars.githubusercontent.com/u/16805946?v=4" width="50" height="50" alt=""/></a> <a href="https://github.com/arjunyel"><img src="https://avatars.githubusercontent.com/u/11153289?v=4" width="50" height="50" alt=""/></a> <a href="https://github.com/LemmyMwaura"><img src="https://avatars.githubusercontent.com/u/20738858?v=4" width="50" height="50" alt=""/></a> <a href="https://github.com/Zamion101"><img src="https://avatars.githubusercontent.com/u/8071263?v=4" width="50" height="50" alt=""/></a> <a href="https://github.com/Grraahaam"><img src="https://avatars.githubusercontent.com/u/72856427?v=4" width="50" height="50" alt=""/></a> <a href="https://github.com/Neeraj138"><img src="https://avatars.githubusercontent.com/u/58552561?v=4" width="50" height="50" alt=""/></a> <a href="https://github.com/esau-morais"><img src="https://avatars.githubusercontent.com/u/55207584?v=4" width="50" height="50" alt=""/></a> <a href="https://github.com/animeshdas2000"><img src="https://avatars.githubusercontent.com/u/40542456?v=4" width="50" height="50" alt=""/></a> <a href="https://github.com/umrak11"><img src="https://avatars.githubusercontent.com/u/20104948?v=4" width="50" height="50" alt=""/></a> <a href="https://github.com/KunalSin9h"><img src="https://avatars.githubusercontent.com/u/82411321?v=4" width="50" height="50" alt=""/></a> <a href="https://github.com/ImBIOS"><img src="https://avatars.githubusercontent.com/u/41441643?v=4" width="50" height="50" alt=""/></a> <a href="https://github.com/sanyamjain04"><img src="https://avatars.githubusercontent.com/u/107163858?v=4" width="50" height="50" alt=""/></a> <a href="https://github.com/Gabriellopes232"><img src="https://avatars.githubusercontent.com/u/74881862?v=4" width="50" height="50" alt=""/></a> <a href="https://github.com/naorpeled"><img src="https://avatars.githubusercontent.com/u/6171622?v=4" width="50" height="50" alt=""/></a> <a href="https://github.com/Aashish-Upadhyay-101"><img src="https://avatars.githubusercontent.com/u/81024263?v=4" width="50" height="50" alt=""/></a> <a href="https://github.com/jonerrr"><img src="https://avatars.githubusercontent.com/u/73760377?v=4" width="50" height="50" alt=""/></a> <a href="https://github.com/kmlgkcy"><img src="https://avatars.githubusercontent.com/u/102428035?v=4" width="50" height="50" alt=""/></a> <a href="https://github.com/samsbg"><img src="https://avatars.githubusercontent.com/u/70488844?v=4" width="50" height="50" alt=""/></a> <a href="https://github.com/imakecodes"><img src="https://avatars.githubusercontent.com/u/35536648?v=4" width="50" height="50" alt=""/></a> <a href="https://github.com/kimcore"><img src="https://avatars.githubusercontent.com/u/36142378?v=4" width="50" height="50" alt=""/></a> <a href="https://github.com/caioluis"><img src="https://avatars.githubusercontent.com/u/30005368?v=4" width="50" height="50" alt=""/></a> <a href="https://github.com/adrianmarinwork"><img src="https://avatars.githubusercontent.com/u/118568289?v=4" width="50" height="50" alt=""/></a> <a href="https://github.com/arthurzenika"><img src="https://avatars.githubusercontent.com/u/445200?v=4" width="50" height="50" alt=""/></a> <a href="https://github.com/franky47"><img src="https://avatars.githubusercontent.com/u/1174092?v=4" width="50" height="50" alt=""/></a> <a href="https://github.com/hanywang2"><img src="https://avatars.githubusercontent.com/u/44352119?v=4" width="50" height="50" alt=""/></a> <a href="https://github.com/tobias-mintlify"><img src="https://avatars.githubusercontent.com/u/110702161?v=4" width="50" height="50" alt=""/></a> <a href="https://github.com/wjhurley"><img src="https://avatars.githubusercontent.com/u/15939055?v=4" width="50" height="50" alt=""/></a> <a href="https://github.com/alexdanilowicz"><img src="https://avatars.githubusercontent.com/u/29822597?v=4" width="50" height="50" alt=""/></a> <a href="https://github.com/0xflotus"><img src="https://avatars.githubusercontent.com/u/26602940?v=4" width="50" height="50" alt=""/></a> <a href="https://github.com/wanjohiryan"><img src="https://avatars.githubusercontent.com/u/71614375?v=4" width="50" height="50" alt=""/></a> <a href="https://github.com/nirga"><img src="https://avatars.githubusercontent.com/u/4224692?v=4" width="50" height="50" alt=""/></a> <a href="https://github.com/RashidUjang"><img src="https://avatars.githubusercontent.com/u/11313829?v=4" width="50" height="50" alt=""/></a> <a href="https://github.com/kanhaiya38"><img src="https://avatars.githubusercontent.com/u/54778773?v=4" width="50" height="50" alt=""/></a> <a href="https://github.com/alisson-acioli"><img src="https://avatars.githubusercontent.com/u/12742051?v=4" width="50" height="50" alt=""/></a>

## 🌎 Traduções

Infisical é atualmente disponível em inglês, coreano, francês e português (Brasil). Ajude-nos a traduzir Infisical para o seu idioma!

Você pode procurar mais informações [nessa issue](https://github.com/Infisical/infisical/issues/181).
